gnutls_privkey_import_pkcs11_url(3)

NAME
gnutls_privkey_import_pkcs11_url - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_import_pkcs11_url(gnutls_privkey_t key, const char * url);

ARGUMENTS

gnutls_privkey_t key
    A key of type gnutls_pubkey_t

const char * url
    A PKCS 11 url

DESCRIPTION
This function will import a PKCS 11 private key to a gnutls_private_key_t structure.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/